libept1.4.12_1.0.12.1_amd64.deb


Advertisement

Description

libept1.4.12 - High-level library for managing Debian package information

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libept1.4.12
Package version 1.0.12.1
Package architecture amd64
Package type deb
Installed size 446 B
Download size 133.44 KB
Official Mirror ftp.br.debian.org
The library defines a very minimal framework in which many sources of data
about Debian packages can be implemented and queried together.
The library includes four data sources:
* APT: access the APT database
* Debtags: access the Debtags tag information
* Popcon: access Popcon package scores
* The Xapian index built by apt-xapian-index
This is the shared library.

Alternatives

Package Version Architecture Repository
libept1.4.12_1.0.12.1_i386.deb 1.0.12.1 i386 Debian Main
libept1.4.12 - - -

Requires

Name Value
libapt-pkg4.12 >= 0.8.16~exp9
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.9
libxapian22 -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libept1.4.12_1.0.12.1_amd64.deb
Source Package libept

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libept1.4.12 deb package:
    # sudo apt-get install libept1.4.12

Files

Path
/usr/lib/libept.so.1.0.5.4.12
/usr/lib/x86_64-linux-gnu/libept.so.1.aptpkg4.12
/usr/share/doc/libept1.4.12/buildinfo_amd64.gz
/usr/share/doc/libept1.4.12/changelog.gz
/usr/share/doc/libept1.4.12/copyright

Changelog

2014-10-06 - Enrico Zini <enrico@debian.org>
libept (1.0.12.1) unstable; urgency=medium
* Redone parsing of Tag fields, to cope with multiline fields
* Get tag data from /var/lib/debtags/package-tags and
/var/lib/debtags/vocabulary if they are available. Closes: #762347
* Updated standards-version, no changes required.
* Set priority to optional. Closes: #741632
* Migrated to dh_installdeb maintscript support. Closes: #659749
2013-10-24 - Enrico Zini <enrico@debian.org>
libept (1.0.12) unstable; urgency=low
* Fixes a case of sizeof(struct stat) disagreeing between libwibble and
libept on some architectures.
2013-10-24 - Enrico Zini <enrico@debian.org>
libept (1.0.11) unstable; urgency=low
* Added explicit template instantiation with the symbols aptitude needs.
Closes: #727540
2013-10-24 - Enrico Zini <enrico@debian.org>
libept (1.0.10) unstable; urgency=low
* Dropped Conflict on long-disappeared version of debtags
* Ported to debhelper
* Ported to libwibble 1.1
* Removed obsolete debian/README
2012-06-21 - Enrico Zini <enrico@debian.org>
libept (1.0.9) unstable; urgency=low
[ Adam Conrad ]
* Add -Wl,--no-as-needed to the -lapt-pkg linking trick, as it
fails to link anything if the toolchain defaults to as-neeed.
2012-06-14 - Enrico Zini <enrico@debian.org>
libept (1.0.8) unstable; urgency=low
* Applied Julien Cristau's patch to avoid unnecessary soname bumps.
Closes: #677532, #677535, #677536
2012-06-14 - Enrico Zini <enrico@debian.org>
libept (1.0.7) unstable; urgency=low
* Expose the underlying libapt-pkg
2012-04-17 - Matthias Klose <doko@debian.org>
libept (1.0.6.1) unstable; urgency=low
* Non maintainer upload.
* Fix build failure with GCC 4.7. Closes: #667243.
2012-04-16 - Michael Vogt <mvo@debian.org>
libept (1.0.6) unstable; urgency=low
* upload to unstable
2012-01-24 - Michael Vogt <mvo@debian.org>
libept (1.0.6~exp1) experimental; urgency=low
* build against libapt in experimental
* debian/control:
- encode apt ABI version in libept1 package name
* ept/CMakeLists.txt:
- do not set "SOVERSION 1" anymore, use full VERSION instead

See Also

Package Description
libepub-dev_0.2.2-4_amd64.deb library to work with the EPUB file format - development files
libepub0_0.2.2-4_amd64.deb library to work with the EPUB file format - runtime library
libepubgen-0.0-0_0.0.0-2_amd64.deb EPUB generator library
libepubgen-dev_0.0.0-2_amd64.deb EPUB generator library -- development
libequinox-osgi-java_3.8.1-7_all.deb Equinox OSGi framework
liberfa-dev_1.1.1-1_amd64.deb Essential Routines for Fundamental Astronomy (development files)
liberfa1_1.1.1-1_amd64.deb Essential Routines for Fundamental Astronomy
liberis-1.3-20_1.3.21-0.1_amd64.deb WorldForge client entity library
liberis-1.3-dev_1.3.21-0.1_amd64.deb WorldForge client entity library - development files
liberis-doc_1.3.21-0.1_all.deb WorldForge client entity library - API documentation
liberror-perl_0.17-1.1_all.deb Perl module for error/exception handling in an OO-ish way
libescape-ruby_0.2-3_all.deb Transitional package for ruby-escape
libesd-java_0.0.7-4_all.deb Implementation of EsounD in pure Java
libesd0-dev_0.2.41-11_amd64.deb Enlightened Sound Daemon - Development files
libesd0_0.2.41-11_amd64.deb Enlightened Sound Daemon - Shared libraries
Advertisement
Advertisement